Nowe posty

Autor Wątek: ET Patch 2.60b - problem  (Przeczytany 13205 razy)

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« dnia: 2007-08-24, 15:00:07 »
Mam Ubuntu 7.04, zainstalowałem ET 2.60 i chcę zaaktualizować go do 2.60b, ale coś mi nie działa. Oto wypis z konsoli:

krzylew@krzylew-desktop:~$ cd /home/krzylew/Desktop/Gry/ET-2.60b/linux
krzylew@krzylew-desktop:~/Desktop/Gry/ET-2.60b/linux$ ls
etded.x86  et.x86
krzylew@krzylew-desktop:~/Desktop/Gry/ET-2.60b/linux$ sudo sh et.x86
et.x86: 1: Syntax error: "(" unexpected
krzylew@krzylew-desktop:~/Desktop/Gry/ET-2.60b/linux$ sudo ./et.x86
ET 2.60b linux-i386 May  8 2006
----- FS_Startup -----
Current search path:
/home/krzylew/.etwolf/etmain
/home/krzylew/Desktop/Gry/ET-2.60b/linux/etmain

----------------------
0 files in pk3 files
----- CL_Shutdown -----
-----------------------
----- CL_Shutdown -----
-----------------------
Sys_Error: Couldn't load default.cfg - I am missing essential files - verify your installation?
krzylew@krzylew-desktop:~/Desktop/Gry/ET-2.60b/linux$

Jak widać próbowałem dwoma sposobami, ale może wogóle robię coś kompletnie źle (chociaż do zainstalowania 2.60 ten sposób wystarczył).

Offline jan karwowski

  • Users
  • Guru
  • *****
  • Wiadomości: 844
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #1 dnia: 2007-08-24, 15:44:51 »
Cytat: ^Gandalf^
krzylew@krzylew-desktop:~/Desktop/Gry/ET-2.60b/linux$ sudo ./et.x86
sudo!?
Nie uruchamiaj z uprawnieniami roota niczego,
chyba że jest to na prawde konieczne!

Cytuj
0 files in pk3 files
Sys_Error: Couldn't load default.cfg - I am missing essential files - verify your installation?
Patch (konkretnie plik et.x86) powinien znaleźć się dokładnie w ty samym miejscu
(katalogu), co wcześniejsza instalacja gry. Inaczej nie znajdzie swoich plików
z danymi.

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #2 dnia: 2007-08-24, 17:06:35 »
Dzięki za pomoc.

Aha, a jeśli pierwszą instalację przeprowadziłem z poleceniem sudo to jak mogę to cofnąć?

Offline Bogdan

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 364
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #3 dnia: 2007-08-24, 17:40:28 »
Aha, a jeśli pierwszą instalację przeprowadziłem z poleceniem sudo to jak mogę to cofnąć?

I to bylo jak najbardziej poprawne (instalacja), wtedy wszyscy uzytkownicy maja dostep do programu.
A samo odpalenie gry na uzytkowniku ...

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #4 dnia: 2007-08-24, 17:48:21 »
No tak, tylko to nie jest odpalenie gry tylko pacz, więc masz na myśli, że mam go podmienić z plikiem o tej samej nazwie z poprzedniej instalacji?

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #5 dnia: 2007-08-24, 18:23:05 »
Zaraz coś mi znowu nie działa. jk33 napisał/a, że mam plik (pacz) et.x86 umieścić w miejscu instalacji bazowej gry, ale chodzi o /usr/local/games/enemy-territory czy /home/krzylew/.etwolf ? bo w drugim przypadky nie działa, a w pierwszym musiałbym podmienić ten plik z tym, który ma tą samą nazwę i był tam od pierwszej instalacji. A jeśli mam podmienić to czy drugi plik znajdujący się zip'ie pacza, czyli etded.x86 również mam podmienić. Z góry dziękuję za pomoc.

Offline jan karwowski

  • Users
  • Guru
  • *****
  • Wiadomości: 844
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #6 dnia: 2007-08-24, 18:55:40 »
Cytat: ^Gandalf^
A jeśli mam podmienić to czy drugi plik znajdujący się zip'ie pacza, czyli etded.x86 również mam podmienić. Z góry dziękuję za pomoc.
Tak, masz podmienić wszystkie pliki, które były w zipie.
I w tym momencie rzeczywiście potrzebujesz uprawnień roota do skopiowania plików.

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #7 dnia: 2007-08-24, 19:08:46 »
Okej, podmieniłem te pliki i działa, mogę się już łączyć z serwerami.

Niestety po chwili grania na jakimkolwiek serwerze dostaje kicka z powodu:
"Violation (Game Integrity) #2004"

Ktoś wie z czego może wynikać ten błąd?

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 87
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #8 dnia: 2007-08-25, 16:52:05 »
Najpierw zainstaluj normalna wersje pozniej sciagnij patch ET-2.60b linux wypakuj tam gdzie zainstalowales powinny sie pomienic nastepnie sciagnij ET Pro 3.2.6 i wypakuj caly katalog do katalogu z gra sciagnij pbsetup i zapomoca tego zaktualizuj PunkBuster i wlocz gierke milej zabawy !!! ten problem "Violation (Game Integrity) #2004" jest wlasnie spowodowany starym PunkBuster-em   :-)

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #9 dnia: 2007-08-26, 00:36:33 »
Okej spróbuję. Chociaż kiedyś nieźle katowałem w ET (przez rok) i nie miałem tego problemu. Dam znać jak mi poszło.

Offline Krzysztof

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 114
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #10 dnia: 2007-08-26, 13:57:43 »
Okej wszystko działa. Dla tych, którzy mają Ubuntu i chcą sobie łatwo i szybko zainstalować ET polecam link: http://czytelnia.ubuntu.pl/index.php/2007/02/23/enemy-territory-i-linux/. Tam jest wszystko opisane krok po kroku jak dla chłopa.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 1
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #11 dnia: 2007-10-05, 19:44:07 »
ma ktos gre sieciową gdzie szypko nabija sie levele dowolnads bo ja nie moge znales pomuzcie dzienkuje
mam problem taki ze nie moge znales jakieś gry na dowolnads sieciowej moze wy macie jakoms gre bo mi sie nudzi   dzienki za propozycje

Offline

  • Users
  • Guru
  • *****
  • Wiadomości: 825
    • Zobacz profil
ET Patch 2.60b - problem
« Odpowiedź #12 dnia: 2007-10-05, 21:52:42 »
Szanowny kolego! Lubię udzielać pomocy ale jak ktoś pisze w naszym języku - po polskiemu!

M.